scala.tools.nsc.typechecker.TypeDiagnostics.TyperDiagnostics.checkUnused

# UnusedPrivates

#### class UnusedPrivates extends Global.Traverser

Source
  TypeDiagnostics.scala

Linear Supertypes
Global.Traverser, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnusedPrivates
2. Traverser
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnusedPrivates()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnusedPrivates to any2stringadd[UnusedPrivates] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (UnusedPrivates, B)

   Implicit information
     This member is added by an implicit conversion from UnusedPrivates to ArrowAssoc[UnusedPrivates] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Traverser

11. #### def defnSymbols: collection.immutable.List[Global.Symbol]

12. #### val defnTrees: ListBuffer[Global.MemberDef]

13. #### def ensuring(cond: (UnusedPrivates) ⇒ Boolean, msg: ⇒ Any): UnusedPrivates

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to Ensuring[UnusedPrivates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (UnusedPrivates) ⇒ Boolean): UnusedPrivates

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to Ensuring[UnusedPrivates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnusedPrivates

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to Ensuring[UnusedPrivates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): UnusedPrivates

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to Ensuring[UnusedPrivates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to StringFormat[UnusedPrivates] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def isUnusedTerm(m: Global.Symbol): Boolean

25. #### def isUnusedType(m: Global.Symbol): Boolean

26. #### def localVars: collection.immutable.List[Global.Symbol]

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def qualifies(sym: Global.Symbol): Boolean

31. #### def qualifiesTerm(sym: Global.Symbol): Boolean

32. #### def qualifiesType(sym: Global.Symbol): Boolean

33. #### val setVars: Set[Global.Symbol]

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### val targets: Set[Global.Symbol]

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### def traverse(t: Global.Tree): Unit

    Definition Classes
      UnusedPrivates → Traverser

38. #### def traverseAnnotations(annots: List[Global.Tree]): Unit

    Definition Classes
      Traverser

39. #### def traverseCases(cases: List[Global.CaseDef]): Unit

    Definition Classes
      Traverser

40. #### def traverseConstant(c: Global.Constant): Unit

    Definition Classes
      Traverser

41. #### def traverseGuard(guard: Global.Tree): Unit

    Definition Classes
      Traverser

42. #### def traverseImportSelector(sel: Global.ImportSelector): Unit

    Definition Classes
      Traverser

43. #### def traverseModifiers(mods: Global.Modifiers): Unit

    Definition Classes
      Traverser

44. #### def traverseName(name: Global.Name): Unit

    Definition Classes
      Traverser

45. #### def traverseParams(params: List[Global.Tree]): Unit

    Definition Classes
      Traverser

46. #### def traverseParamss(vparamss: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

47. #### def traverseParents(parents: List[Global.Tree]): Unit

    Definition Classes
      Traverser

48. #### def traversePattern(pat: Global.Tree): Unit

    Definition Classes
      Traverser

49. #### def traverseSelfType(self: Global.ValDef): Unit

    Definition Classes
      Traverser

50. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

51. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

52. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

53. #### def traverseTypeArgs(args: List[Global.Tree]): Unit

    Definition Classes
      Traverser

54. #### def traverseTypeAscription(tpt: Global.Tree): Unit

    Definition Classes
      Traverser

55. #### val treeTypes: Set[Global.Type]

56. #### def unsetVars: collection.immutable.List[Global.Symbol]

57. #### def unusedTerms: collection.immutable.List[Global.MemberDef]

58. #### def unusedTypes: collection.immutable.List[Global.MemberDef]

59. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### def →[B](y: B): (UnusedPrivates, B)

    Implicit information
      This member is added by an implicit conversion from UnusedPrivates to ArrowAssoc[UnusedPrivates] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from UnusedPrivates to any2stringadd[UnusedPrivates]

### Inherited by implicit conversion StringFormat from UnusedPrivates to StringFormat[UnusedPrivates]

### Inherited by implicit conversion Ensuring from UnusedPrivates to Ensuring[UnusedPrivates]

### Inherited by implicit conversion ArrowAssoc from UnusedPrivates to ArrowAssoc[UnusedPrivates]

### Ungrouped